"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class Run extends command_1.Command {
    run() {
        const { flags } = this.parse(Run);
        service_1.BootstrapUtils.showBanner();
        return new service_1.RunService(flags).run();
    }
}
exports.default = Run;
Run.description = 'This command runs this network from the created configuration and docker-compose.yml file.';
Run.examples = [`$ symbol-bootstrap run`];
Run.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: service_1.ConfigService.defaultParams.target,
    }),
    daemon: command_1.flags.boolean({
        char: 'd',
        description: 'If provided, docker-compose will run with -d (--detached) and this command will wait unit server is running before returning',
    }),
    build: command_1.flags.boolean({
        char: 'b',
        description: 'If provided, docker-compose will run with -b (--build)',
    }),
    timeout: command_1.flags.integer({
        char: 't',
        description: 'If running in daemon mode, how long before timing out (in MS)',
        default: service_1.RunService.defaultParams.timeout,
    }),
};
