"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
class Stop extends command_1.Command {
    run() {
        const { flags } = this.parse(Stop);
        service_1.BootstrapUtils.showBanner();
        return new service_1.RunService(flags).stop();
    }
}
exports.default = Stop;
Stop.description = `It stops the docker-compose network if it's running (example, when symbol-bootstrap start --daemon).`;
Stop.examples = [`$ symbol-bootstrap stop`];
Stop.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: service_1.ConfigService.defaultParams.target,
    }),
};
