import * as Docker from 'dockerode';
import { Addresses, ConfigPreset } from '../model';
export declare class BootstrapUtils {
    private static presetInfoLogged;
    private static pulledImages;
    static deleteFolder(folder: string): void;
    private static deleteFolderRecursive;
    static showBanner(): void;
    static pullImage(docker: Docker, image: string): Promise<void>;
    static loadPresetData(root: string, preset: string, assembly: string | undefined, customPresetFile: string | undefined): ConfigPreset;
    static loadExistingPresetData(target: string): ConfigPreset;
    static loadExistingAddresses(target: string): Addresses;
    static sleep(ms: number): Promise<any>;
    static poll(promiseFunction: () => Promise<boolean>, totalPollingTime: number, pollIntervalMs: number): Promise<boolean>;
    static toAmount(renderedText: string | number): string;
    static toHex(renderedText: string): string;
    static generateConfiguration(templateContext: any, copyFrom: string, copyTo: string): Promise<void>;
    static mkdir(path: string): Promise<void>;
    static writeYaml(path: string, object: any): Promise<void>;
    static writeTextFile(path: string, text: string): Promise<void>;
    private static dockerUserId;
    static getDockerUserGroup(): Promise<string>;
}
